> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get detailed information about a specific BRC-20 token including supply, decimals, and deployment data.

# BRC20 Info



## OpenAPI

````yaml bitcoin/blockchain-indexer-api/openapi.json get /assets/brc20/{ticker}
openapi: 3.0.3
info:
  title: Bitcoin - Blockchain Indexer API
  description: >-
    This API provides core indexer endpoints with support for Bitcoin
    metaprotocols by delivering real-time, rollback-protected access to
    Bitcoin's UTXO data, enabling developers to build responsive and reliable
    blockchain applications without managing complex infrastructure.


    #### Key Features:

    - **Real-Time Data with Rollback Protection:** Ensures data accuracy by
    handling chain reorganizations gracefully, providing live data without
    sacrificing integrity.

    - **Comprehensive UTXO Indexing:** Specialized pipelines extract, match, and
    process on-chain information, including handling rollbacks, to provide
    accurate and up-to-date data.


    #### Key Benefits for Developers:

    By abstracting the complexities of blockchain data retrieval and processing,
    Maestro's Bitcoin Indexer API empowers developers to focus on building
    innovative applications with confidence in fast and reliable access to
    historical chain data.
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v0.2.0
servers:
  - url: https://xbt-mainnet.gomaestro-api.org/v0
    description: Bitcoin Mainnet
  - url: https://xbt-testnet.gomaestro-api.org/v0
    description: Bitcoin Testnet
security:
  - api-key: []
paths:
  /assets/brc20/{ticker}:
    get:
      tags:
        - BRC20
      summary: BRC20 Info
      description: >-
        Information about a BRC20 token’s metadata and current state, including
        its symbol, deployment details, minting rules, total holders, and minted
        supply.
      operationId: brc20_info
      parameters:
        - name: ticker
          in: path
          description: BRC20 ticker string
          required: true
          schema:
            type: string
          example: FCTB
      responses:
        '200':
          description: Requested data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimestampedBrc20Info'
              example:
                data:
                  deploy_inscription: >-
                    3d983a724310f511cfca0031ee2b980b474a0abe1e7e995b7e6d2873e2cbfd5fi0
                  holders: 7
                  minted_supply: '19420000.000000000000000000'
                  terms:
                    dec: 18
                    limit: '1000000.000000000000000000'
                    max: '21000000.000000000000000000'
                    self_mint: false
                  ticker: fctb
                  ticker_hex: '66637462'
                last_updated:
                  block_hash: >-
                    0000000000000000000214bfa0a73e1cc7663917a933bfb1c66a6613f88dabdd
                  block_height: 851556
        '400':
          description: Malformed query parameters
        '404':
          description: Requested entity not found on-chain
        '500':
          description: Internal server error
components:
  schemas:
    TimestampedBrc20Info:
      type: object
      required:
        - data
        - last_updated
      properties:
        data:
          $ref: '#/components/schemas/Brc20Info'
        last_updated:
          $ref: '#/components/schemas/ChainTip'
    Brc20Info:
      type: object
      required:
        - ticker
        - ticker_hex
        - deploy_inscription
        - holders
        - minted_supply
        - terms
      properties:
        deploy_inscription:
          type: string
        holders:
          type: integer
          format: int64
          minimum: 0
        minted_supply:
          type: string
        terms:
          $ref: '#/components/schemas/Brc20Terms'
        ticker:
          type: string
        ticker_hex:
          type: string
    ChainTip:
      type: object
      required:
        - block_hash
        - block_height
      properties:
        block_hash:
          type: string
          description: The hash of the block
          example: 0000000000000000000a7f3b7b6b6e1d9a18db65a3b4a3f4f3bcb2e1f1b2d3e7
        block_height:
          type: integer
          format: int64
          description: The height of the block in the blockchain
          example: 707000
          minimum: 0
    Brc20Terms:
      type: object
      required:
        - max
        - limit
        - dec
        - self_mint
      properties:
        dec:
          type: integer
          format: int32
          minimum: 0
        limit:
          type: string
        max:
          type: string
        self_mint:
          type: boolean
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````